## mingw-w64-extra-cmake-modules-6.18.0-1.src.tar.zst

=== tests/ECMGeneratePkgConfigFile/CMakeLists.txt ===

macro(add_pkgconfig_test NAME)
    file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${NAME}")

    add_test(NAME ecm_generate_pkgconfig-${NAME}
        COMMAND ${CMAKE_COMMAND} "${CMAKE_CURRENT_SOURCE_DIR}/${NAME}"
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${NAME}"
    )
endmacro()

add_pkgconfig_test(no_optional_arguments)
add_pkgconfig_test(no_description_parameter_metainfo_with_description-param)
add_pkgconfig_test(no_description_parameter_metainfo_with_empty_description)
add_pkgconfig_test(no_description_parameter_metainfo_without_description)
add_pkgconfig_test(with_public_and_private_dependencies)
add_pkgconfig_test(with_an_URL_parameter)
add_pkgconfig_test(custom_defines)

add_subdirectory(test_imported_targets)
add_subdirectory(test_no_interface_include_dirs)

=== tests/ECMQtDeclareLoggingCategoryTest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ECMQtDeclareLoggingCategoryTest)
set(ECM_MODULE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../../modules")

set(CMAKE_MODULE_PATH ${ECM_MODULE_DIR})

include(QtVersionOption)
include(ECMQtDeclareLoggingCategory)

ecm_qt_declare_logging_category(
    sources
    HEADER "log1.h"
    IDENTIFIER "log1"
    CATEGORY_NAME "log.one"
    OLD_CATEGORY_NAMES "log1old"
    DESCRIPTION "log 1"
    EXPORT LOG
)

ecm_qt_declare_logging_category(
    sources
    HEADER "log2.h"
    IDENTIFIER "foo::bar::log2"
    CATEGORY_NAME "log.two"
    DEFAULT_SEVERITY Info
    DESCRIPTION "log 2"
    EXPORT LOG
)

ecm_qt_declare_logging_category(
    sources
    HEADER "${CMAKE_CURRENT_BINARY_DIR}/log3.h"
    IDENTIFIER "log3"
    CATEGORY_NAME "three"
    DEFAULT_SEVERITY Critical
)

ecm_qt_export_logging_category(
    IDENTIFIER "log4"
    CATEGORY_NAME "log.four"
    OLD_CATEGORY_NAMES "logfouroldest" "log4old"
    DEFAULT_SEVERITY Warning
    EXPORT LOG
    DESCRIPTION "log 4"
)

find_package(Qt${QT_MAJOR_VERSION}Core REQUIRED)

add_executable(testmain testmain.cpp ${sources})
target_include_directories(testmain
    PRIVATE
        "${CMAKE_CURRENT_BINARY_DIR}"
)
target_link_libraries(testmain
    PRIVATE
        Qt${QT_MAJOR_VERSION}::Core
)

ecm_qt_install_logging_categories(
    EXPORT LOG
    FILE log.categories
    DESTINATION "${CMAKE_INSTALL_PREFIX}/share/qlogging-categories5"
)

# this will be run by CTest
configure_file(check.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/check.cmake" @ONLY)

=== tests/ECMSetupVersionTest/new_project_header/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(new_project_header VERSION 2.3.4)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
include(ECMSetupVersion)

ecm_setup_version(PROJECT
    VERSION_HEADER "ecm_new_project_header_version.h"
)

include(../version_helpers.cmake)
# NB: name comes from project() command
standard_version_var_checks(new_project_header 2.3.4)

add_executable(check_header main.c)
target_include_directories(check_header PRIVATE "${CMAKE_CURRENT_BINARY_DIR}")

=== PKGBUILD ===
# Maintainer: Biswapriyo Nath <nathbappai@gmail.com>

_realname=extra-cmake-modules
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=6.18.0
pkgrel=1
pkgdesc='Extra modules and scripts for CMake (mingw-w64)'
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
msys2_references=(
  'archlinux: extra-cmake-modules'
)
msys2_repository_url='https://invent.kde.org/frameworks/extra-cmake-modules/'
url='https://community.kde.org/Frameworks/'
license=('spdx:BSD-3-Clause')
groups=("${MINGW_PACKAGE_PREFIX}-kf6")
depends=(
  "${MINGW_PACKAGE_PREFIX}-cmake"
)
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-cc"
  "${MINGW_PACKAGE_PREFIX}-ninja"
)
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${_realname}-${pkgver}.tar.xz"{,.sig}
        "tar-force-local.patch")
sha256sums=('b2d2222cfe5ace502c60bd8a77a79bc0230f48cee83265c89dcc2618b960e293'
            'SKIP'
            '0f0cec3a0f51a0e21299f468361489d339a3e8c25119f94fce87decadebaaae2')
validpgpkeys=(
  'E0A3EB202F8E57528E13E72FD7574483BB57B18D' # Jonathan Esk-Riddell <jr@jriddell.org>
  '90A968ACA84537CC27B99EAF2C8DF587A6D4AAC1' # Nicolas Fella <nicolas.fella@kde.org>
)

prepare() {
  cd "${_realname}-${pkgver}"

  # Required for extracting kioworker6.tar.bz2 in kio package
  # It fails to extract because full win-style path contains colon
  patch -p1 -i "${srcdir}/tar-force-local.patch"

  # Make sure to update patch in git style because CMake
  # installs *.orig files if hunks are in different offset
  find . -name "*.orig" -exec rm -f {} \;
}

build() {
  declare -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    "${MINGW_PREFIX}"/bin/cmake.exe \
      -GNinja \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      -DBUILD_HTML_DOCS=OFF \
      -DBUILD_QTHELP_DOCS=OFF \
      -DBUILD_TESTING=OFF \
      "${_extra_config[@]}" \
      -S "${_realname}-${pkgver}" \
      -B "build-${MSYSTEM}"

  "${MINGW_PREFIX}"/bin/cmake.exe --build "build-${MSYSTEM}"
}

package() {
  DESTDIR="${pkgdir}" "${MINGW_PREFIX}"/bin/cmake.exe --install "build-${MSYSTEM}"
}
